Send a message to registered users. Multi-language support.

Creates a message that can be sent as a push, in-app, email or any combination of sending types.

Path Params
string
required
length ≥ 1

The name of the organisation the account belongs to.

Body Params

This endpoint is designed to be a generic message POST allowing you to send a single message request for all your supported langauages, removing the need to send a single message request for each language.

You can target all users, specific customerIds or specific userIds.

If you want to send the same content for all languages, use a string for [title, body, app.secondaryTitle, app.secondaryBody].

to
required

Message recipiants. Send only customerIds or userids if the messsage should be sent to specific individuals.

string
enum
required
length ≥ 1
Defaults to default

The level of priority the message has.

Allowed:
string
required
length ≥ 1
title
required

A flexible entity allowing for use of the multilangauge object or a single string.

body
required

A flexible entity allowing for use of the multilangauge object or a single string.

app
object

Data for the in-app message.

secondaryTitle and secondaryBody are used in the app to display further information. These properties will be display on the message page when selecting a message for further information.

url can be used to redirect the user to a webpage. url.name will be the text displayed on the button the user presses to open the webview and url.target will be the url the user is redirected to.

push
object

Data for the push notification.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json